Functions
Configuration functions
Peripheral Driver » LL Driver » AON_WDT » Functions

## Functions
__STATIC_INLINE void | ll_aon_wdt_enable (void)
| Enable AON watchdog counter and interrupt event. More...
__STATIC_INLINE void | ll_aon_wdt_disable (void)
| Disable AON watchdog counter and interrupt event. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_is_enabled (void)
| Check if the AON_WDT peripheral is enabled or disabled. More...
__STATIC_INLINE void | ll_aon_wdt_set_clk (uint32_t value)
| Set Watchdog Timer clock. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_get_clk (void)
| Get Watchdog Timer clock. More...
__STATIC_INLINE void | ll_aon_wdt_set_reload_counter (uint32_t counter)
| Specify the AON WDT down-counter reload value. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_get_reload_counter (void)
| Get the AON WDT down-counter reload value. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_get_reload_read_counter ()
| Get the AON WDT down-counter read reload value. More...
__STATIC_INLINE void | ll_aon_wdt_reload_counter (void)
| Reloads AON WDT counter. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_get_counter (void)
| Read the AON WDT counter current value. More...
__STATIC_INLINE void | ll_aon_wdt_set_alarm_counter (uint32_t counter)
| Specify the AON_WDT down-counter alarm value. More...
__STATIC_INLINE void | ll_aon_wdt_set_alarm_counter_and_request (uint32_t counter)
| Specify the AON_WDT down-counter alarm value and request. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_get_alarm_counter (void)
| Get the AON_WDT down-counter alarm value. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_get_alarm_read_counter (void)
| Get the AON_WDT down-counter alarm value. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_is_busy (void)
| AON WDT busy status flag. More...
__STATIC_INLINE void | ll_aon_wdt_it_enable_alarm (void)
| Enable aon wdt alarm interrupt. More...
__STATIC_INLINE void | ll_aon_wdt_it_disable_alarm (void)
| Disable aon wdt alarm interrupt. More...
__STATIC_INLINE uint32_t | ll_aon_wdt_it_is_enabled_alarm (void)
| Check if the aon wdt alarm interrupt is enabled or disabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_aon_wdt_disable()

__STATIC_INLINE void ll_aon_wdt_disable | ( | void |  | ) |

Disable AON watchdog counter and interrupt event.

Register|BitsName --------|-------- AON_WDT_CFG0 | WDT_EN

Definition at line 114 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_enable()

__STATIC_INLINE void ll_aon_wdt_enable | ( | void |  | ) |

Enable AON watchdog counter and interrupt event.

Register|BitsName --------|-------- AON_WDT_CFG0 | WDT_EN

Definition at line 101 of file gr55xx_ll_aon_wdt.h.

References AON_WDT_REG_READ.

## ◆ ll_aon_wdt_get_alarm_counter()

__STATIC_INLINE uint32_t ll_aon_wdt_get_alarm_counter | ( | void |  | ) |

Get the AON_WDT down-counter alarm value.

Note
  AON watchdog will generate an interrupt when it counts down to the alarm value to alram that it is almost expired.

Register|BitsName --------|-------- WD_TIMER_ALARM | WDT_ALARM

Return values

  Value | between Min_Data=0 and Max_Data=0xFF

Definition at line 287 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_get_alarm_read_counter()

__STATIC_INLINE uint32_t ll_aon_wdt_get_alarm_read_counter | ( | void |  | ) |

Get the AON_WDT down-counter alarm value.

Register|BitsName --------|-------- WD_TIMER_STS_1 | WDT_ALARM

Return values

  Value | between Min_Data=0 and Max_Data=0xFF

Definition at line 301 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_get_clk()

__STATIC_INLINE uint32_t ll_aon_wdt_get_clk | ( | void |  | ) |

Get Watchdog Timer clock.

Register|BitsName --------|-------- AON_WDT_CLK | wd_timer_clk_sel

Return values

  Watchdog | Timer clock source,the value can be one of the following: LL_AON_WD_TIMER_CLK_SEL_RNG LL_AON_WD_TIMER_CLK_SEL_XO LL_AON_WD_TIMER_CLK_SEL_RNG2 LL_AON_WD_TIMER_CLK_SEL_RTC

Definition at line 164 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_get_counter()

__STATIC_INLINE uint32_t ll_aon_wdt_get_counter | ( | void |  | ) |

Read the AON WDT counter current value.

Register|BitsName --------|-------- AON_PAD_CTL1 | AON_WDT_TIMER TIMER_VAL | TIMER_VAL_READ

Return values

  Value | for current counter which should ranging between 0 ~ 0xFFFF_FFFF

Definition at line 236 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_get_reload_counter()

__STATIC_INLINE uint32_t ll_aon_wdt_get_reload_counter | ( | void |  | ) |

Get the AON WDT down-counter reload value.

Register|BitsName --------|-------- WD_TIMER_VAL_W | TIMER_VALUE

Return values

  counter | Value for reload down-counter which should ranging between 0 ~ 0xFFFF_FFFF.

Definition at line 192 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_get_reload_read_counter()

__STATIC_INLINE uint32_t ll_aon_wdt_get_reload_read_counter | ( |  | ) |

Get the AON WDT down-counter read reload value.

Register|BitsName --------|-------- WD_TIMER_STS_0 | TIMER_VALUE

Return values

  counter | Value for reload down-counter which should ranging between 0 ~ 0xFFFF_FFFF.

Definition at line 206 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_is_busy()

__STATIC_INLINE uint32_t ll_aon_wdt_is_busy | ( | void |  | ) |

AON WDT busy status flag.

Register|BitsName --------|-------- WD_TIMER_STS| WD_TIMER_STAT_BUSY

Return values

  AON | WDT busy status flag.

Definition at line 315 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_is_enabled()

__STATIC_INLINE uint32_t ll_aon_wdt_is_enabled | ( | void |  | ) |

Check if the AON_WDT peripheral is enabled or disabled.

Register|BitsName --------|-------- AON_WDT_CFG0 | WDT_EN

Return values

  State | of bit (1 or 0).

Definition at line 128 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_it_disable_alarm()

__STATIC_INLINE void ll_aon_wdt_it_disable_alarm | ( | void |  | ) |

Disable aon wdt alarm interrupt.

Register|BitsName --------|-------- AON_WDT_CFG0 | ALARM_INT_EN

Return values

  None |

Definition at line 343 of file gr55xx_ll_aon_wdt.h.

References AON_WDT_REG_READ.

## ◆ ll_aon_wdt_it_enable_alarm()

__STATIC_INLINE void ll_aon_wdt_it_enable_alarm | ( | void |  | ) |

Enable aon wdt alarm interrupt.

Register|BitsName --------|-------- AON_WDT_CFG0 | ALARM_INT_EN

Return values

  None |

Definition at line 329 of file gr55xx_ll_aon_wdt.h.

References AON_WDT_REG_READ.

## ◆ ll_aon_wdt_it_is_enabled_alarm()

__STATIC_INLINE uint32_t ll_aon_wdt_it_is_enabled_alarm | ( | void |  | ) |

Check if the aon wdt alarm interrupt is enabled or disabled.

Register|BitsName --------|-------- AON_WDT_CFG0 | ALARM_INT_EN

Return values

  State | of bit (1 or 0).

Definition at line 357 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_reload_counter()

__STATIC_INLINE void ll_aon_wdt_reload_counter | ( | void |  | ) |

Reloads AON WDT counter.

Note
  The value in TIMER_VALUE register will be reloaded into AON WDT down-counter after enable this bit, so ll_aon_wdt_set_reload_counter() should be called before every reload.

Register|BitsName --------|-------- WD_TIMER_CFG_0 | WDT_RELOAD

Definition at line 221 of file gr55xx_ll_aon_wdt.h.

References AON_WDT_REG_READ.

## ◆ ll_aon_wdt_set_alarm_counter()

__STATIC_INLINE void ll_aon_wdt_set_alarm_counter | ( | uint32_t | counter | ) |

Specify the AON_WDT down-counter alarm value.

Note
  AON watchdog will generate an interrupt when it counts down to the alarm value to alram that it is almost expired.

Register|BitsName --------|-------- EXT_WKUP_CTL | WDT_ALARM

Parameters

  counter | Value between Min_Data=0 and Max_Data=0xFF

Return values

  None |

Definition at line 253 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_set_alarm_counter_and_request()

__STATIC_INLINE void ll_aon_wdt_set_alarm_counter_and_request | ( | uint32_t | counter | ) |

Specify the AON_WDT down-counter alarm value and request.

Note
  AON watchdog will generate an interrupt when it counts down to the alarm value to alram that it is almost expired.

Register|BitsName --------|-------- EXT_WKUP_CTL | WDT_ALARM

Parameters

  counter | Value between Min_Data=0 and Max_Data=0xFF

Return values

  None |

Definition at line 270 of file gr55xx_ll_aon_wdt.h.

References AON_WDT_REG_READ.

## ◆ ll_aon_wdt_set_clk()

__STATIC_INLINE void ll_aon_wdt_set_clk | ( | uint32_t | value | ) |

Set Watchdog Timer clock.

Register|BitsName --------|-------- AON_WDT_CLK | wd_timer_clk_sel

Parameters

  value | This parameter can be a one of the following values: LL_AON_WD_TIMER_CLK_SEL_RNG LL_AON_WD_TIMER_CLK_SEL_XO LL_AON_WD_TIMER_CLK_SEL_RNG2 LL_AON_WD_TIMER_CLK_SEL_RTC

Return values

  None |

Definition at line 146 of file gr55xx_ll_aon_wdt.h.

## ◆ ll_aon_wdt_set_reload_counter()

__STATIC_INLINE void ll_aon_wdt_set_reload_counter | ( | uint32_t | counter | ) |

Specify the AON WDT down-counter reload value.

Register|BitsName --------|-------- TIMER_VALUE | TIMER_VALUE

Parameters

  counter | Value for reload down-counter which should ranging between 0 ~ 0xFFFF_FFFF

Return values

  None |

Definition at line 178 of file gr55xx_ll_aon_wdt.h.